﻿using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.Extensions.DependencyInjection;
using System.Linq;

namespace Voitures.Models
{
    public static class SeedData
    {
        public static void Initialize(IServiceProvider serviceProvider)
        {
            using (var context = new VoituresContext(
                serviceProvider.GetRequiredService<
                    DbContextOptions<VoituresContext>>()))
            {
                // Chercher n'importe quelle voiture
                if (context.Voiture.Any())
                {
                    return; // La base de données est déjà peuplée
                }
                context.Voiture.AddRange(
                    new Voiture
                    {
                        Nom = "Mustang",
                        Marque = "Ford",
                        Prix = 10000,
                        DateFabrication = DateTime.Parse("1966-1-12")
                    },
                    new Voiture
                    {
                        Nom = "T",
                        Marque = "Ford",
                        Prix = 10000,
                        DateFabrication = DateTime.Parse("1911-1-12")
                    },
                    new Voiture
                    {
                        Nom = "4L",
                        Marque = "Renault",
                        Prix = 10000,
                        DateFabrication = DateTime.Parse("1968-1-12")
                    },
                    new Voiture
                    {
                        Nom = "1000",
                        Marque = "Sicma",
                        Prix = 10000,
                        DateFabrication = DateTime.Parse("1968-1-12")
                    },
                    new Voiture
                    {
                        Nom = "Traction",
                        Marque = "Citroen",
                        Prix = 10000,
                        DateFabrication = DateTime.Parse("1938-1-12")
                    }
                );
                context.SaveChanges();
            }
        }
    }
}
